export const ProductColumns = [
  { type: 'checkbox', minWidth: 50, align: 'center', fixed: 'left' },
  {
    field: 'is_monitor', title: '监控管理', minWidth: 90, align: 'center', fixed: 'left',
    slots: { default: 'is_monitor' }
  },
  {
    field: 'product_info', title: '商品信息', minWidth: 240, align: 'center', fixed: 'left',
    slots: { default: 'product_info' }
  },
  {
    field: 'sku', title: 'SKU', minWidth: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'sku' }
  },
  {
    field: 'country_code', title: '国 家', width: 'auto', align: 'center',
    slots: { default: 'country_code' }
  },
  {
    field: 'brand', title: '品 牌', width: 'auto', align: 'center',
    slots: { default: 'brand' }
  },
  {
    field: 'platform_number', title: '平台编号', width: 'auto', align: 'center',
    slots: { default: 'platform_number' }
  },
  {
    field: 'shop_name', title: '店 铺', width: 'auto', align: 'center',
    slots: { default: 'shop_name' }
  },
  {
    field: 'tag', title: '分 组', width: 'auto', align: 'center',
    slots: { default: 'tag' }
  },
  {
    field: 'price_info', title: '价 格', width: 'auto', align: 'left',
    slots: { default: 'price_info' }
  },
  {
    field: 'show_price', title: '指导价格', width: 'auto', align: 'left',
    slots: { default: 'show_price' }
  },
  {
    field: 'launch_date', title: '上架日期', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'launch_date' }
  },
  {
    field: 'category', title: '类 目', width: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'category' }
  },
  {
    field: 'status', title: '状 态', width: 'auto', align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'update_datetime', title: '更新时间', minWidth: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'update_datetime' }
  },
  {
    field: 'create_datetime', title: '创建时间', minWidth: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'create_datetime' }
  },
  {
    field: 'operate', title: '操 作', minWidth: 100, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const ProductMonitorColumns = [
  { type: 'checkbox', minWidth: 50, align: 'center', fixed: 'left' },
  {
    field: 'product_info', title: '商品信息', minWidth: 240, align: 'center', fixed: 'left',
    slots: { default: 'product_info' }
  },
  {
    field: 'sku', title: 'SKU', width: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'sku' }
  },
  {
    field: 'country_code', title: '国 家', width: 'auto', align: 'center',
    slots: { default: 'country_code' }
  },
  {
    field: 'brand', title: '品 牌', width: 'auto', align: 'center',
    slots: { default: 'brand' }
  },
  {
    field: 'platform_number', title: '平台编号', width: 'auto', align: 'center',
    slots: { default: 'platform_number' }
  },
  {
    field: 'shop_name', title: '店 铺', width: 'auto', align: 'center',
    slots: { default: 'shop_name' }
  },
  {
    field: 'tag', title: '分 组', width: 'auto', align: 'center',
    slots: { default: 'tag' }
  },
  {
    field: 'price_info', title: '价 格',  width: 'auto', headerAlign: 'center', align: 'left',
    slots: { default: 'price_info' }
  },
  {
    field: 'show_price', title: '展示价格', width: 'auto', align: 'center',
    slots: { default: 'show_price' }
  },
  {
    field: 'activity_price', title: '平时活动售价', width: 'auto', align: 'center',
    slots: { default: 'activity_price' }
  },
  {
    field: 'minimum_price', title: '最低活动售价', width: 'auto', align: 'center',
    slots: { default: 'minimum_price' }
  },
  {
    field: 'ratings', title: '子ASIN评分人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'ratings' }
  },
  {
    field: 'all_ratings', title: '亚马逊显示评分人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_ratings' }
  },
  {
    field: 'reviews', title: '子ASIN评论人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'reviews' }
  },
  {
    field: 'all_reviews', title: '亚马逊显示评论人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_reviews' }
  },
  {
    field: 'score', title: '子ASIN计算评分', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'score' }
  },
  {
    field: 'all_score', title: '亚马逊显示评分', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_score' }
  },
  {
    field: 'stars', title: '子ASIN星级分布', width: 'auto', headerAlign: 'center', align: 'center',
    slots: { default: 'stars' }
  },
  {
    field: 'all_stars', title: '亚马逊星级分布', width: 'auto', headerAlign: 'center', align: 'center',
    slots: { default: 'all_stars' }
  },
  {
    field: 'launch_date', title: '上架日期', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'launch_date' }
  },
  {
    field: 'category', title: '类 目', width: 'auto', align: 'center',
    slots: { default: 'category' }
  },
  {
    field: 'status', title: '状 态', width: 'auto', align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'update_datetime', title: '更新时间', width: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'update_datetime' }
  },
  {
    field: 'create_datetime', title: '创建时间', width: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'create_datetime' }
  },
  {
    field: 'operate', title: '操 作', minWidth: 100, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const CompetitorMonitorColumns = [
  { type: 'checkbox', minWidth: 50, align: 'center', fixed: 'left' },
  {
    field: 'product_info', title: '商品信息', minWidth: 240, align: 'center', fixed: 'left',
    slots: { default: 'product_info' }
  },
  {
    field: 'country_code', title: '国 家', width: 'auto', align: 'center',
    slots: { default: 'country_code' }
  },
  {
    field: 'brand', title: '品 牌', width: 'auto', align: 'center',
    slots: { default: 'brand' }
  },
  {
    field: 'shop_name', title: '店 铺', width: 'auto', align: 'center',
    slots: { default: 'shop_name' }
  },
  {
    field: 'tag', title: '分 组', width: 'auto', align: 'center',
    slots: { default: 'tag' }
  },
  {
    field: 'price_info', title: '价 格',  width: 'auto', headerAlign: 'center', align: 'left',
    slots: { default: 'price_info' }
  },
  {
    field: 'ratings', title: '子ASIN评分人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'ratings' }
  },
  {
    field: 'all_ratings', title: '亚马逊显示评分人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_ratings' }
  },
  {
    field: 'reviews', title: '子ASIN评论人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'reviews' }
  },
  {
    field: 'all_reviews', title: '亚马逊显示评论人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_reviews' }
  },
  {
    field: 'score', title: '子ASIN计算评分', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'score' }
  },
  {
    field: 'all_score', title: '亚马逊显示评分', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_score' }
  },
  {
    field: 'stars', title: '子ASIN星级分布', width: 'auto', headerAlign: 'center', align: 'center',
    slots: { default: 'stars' }
  },
  {
    field: 'all_stars', title: '亚马逊星级分布', width: 'auto', headerAlign: 'center', align: 'center',
    slots: { default: 'all_stars' }
  },
  {
    field: 'launch_date', title: '上架日期', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'launch_date' }
  },
  {
    field: 'category', title: '类 目', width: 'auto', align: 'center',
    slots: { default: 'category' }
  },
  {
    field: 'status', title: '状 态', width: 'auto', align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'update_datetime', title: '更新时间', width: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'update_datetime' }
  },
  {
    field: 'create_datetime', title: '创建时间', width: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'create_datetime' }
  },
  {
    field: 'operate', title: '操 作', minWidth: 100, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];


